#!/bin/sh
certbot certonly \
    --non-interactive \
    --agree-tos \
    --email {{ letsencrypt.email }} \
    --deploy-hook '/opt/certbot/certbot-deploy.sh' \
    {% if letsencrypt.digitalocean is defined %}
    --dns-digitalocean \
    --dns-digitalocean-credentials /opt/certbot/certbot-creds.ini \
    --dns-digitalocean-propagation-seconds 60 \
    {% endif %}
    {% if letsencrypt.cloudflare is defined %}
    --dns-cloudflare \
    --dns-cloudflare-credentials /opt/certbot/certbot-creds.ini \
    --dns-cloudflare-propagation-seconds 60 \
    {% endif %}
    {% for domain in letsencrypt.domains %}-d '{{ domain }}' {% endfor %} \
    $@
